• 5
brothajim4124

Anyone else getting bombarded by notifications?

Question

It actually just started happening a few minutes ago. I received 27 notifications on contracts such as "maintain stability for 10 seconds" over and over again. Even reaching orbital parameters... Anyone else getting this or should I just restart?

Share this post


Link to post
Share on other sites

23 answers to this question

Recommended Posts

  • 1

yes, I'm also getting message spammed since the new update.  It seems to be tied to the active contracts, it's sending messages when before it would have just checked the box in the contracts menu if you fit some criteria.  Fortunately it does not appear to be giving me extra rewards, but the noti-spam is annoying.

I have a ton of mods, the only one in common with @grinnellian is Chatterer, but I can't imagine how that mod would cause this.

Edited by Capt. Hunt

Share this post


Link to post
Share on other sites
  • 0

Same bug here.

Windows 10, 1.4.2.2110.

Installed mods: Chatterer, Maneuver Node Evolved.

Happened on load today. Skating across the Mun I accumulated 200+ notifications in a minute. Happy to provide any other helpful details!

Share this post


Link to post
Share on other sites
  • 0

Yeah, I'm getting this too. Many mods installed. Started when I upgraded from 1.4.1 to 1.4.2.

Share this post


Link to post
Share on other sites
  • 0

The most annoying one is the "Maintain stability for 10 seconds" objective, which I'm getting every 10 seconds for every station, base or satellite contract I have active.

Share this post


Link to post
Share on other sites
  • 0

Getting them too. Had 20 mods, deleted them all, doesn't help. Also started after upgrade to 1.4.2. Installed it from upgrade patch.

Share this post


Link to post
Share on other sites
  • 0

It looks to me, like the notifications are only for contracts that were taken before 1.4.2. As I complete them, they no longer bombard me, and new ones don't seem to be a problem. I have only one now, build a space station around Duna. Hopefully, once it's built the bombarding will stop.

Share this post


Link to post
Share on other sites
  • 0

Well today, after fulfilling the pre-1.4.2 contracts yesterday, I have had no spamming of contracts. Seems the problem is only related to 1.4.1 contracts in 1.4.2.

Share this post


Link to post
Share on other sites
  • 0
6 hours ago, Phil deCube said:

Well today, after fulfilling the pre-1.4.2 contracts yesterday, I have had no spamming of contracts. Seems the problem is only related to 1.4.1 contracts in 1.4.2.

Now this is first good news regarding this bug. I have  only one such contract left…

Share this post


Link to post
Share on other sites
  • 0

It is a bug in the stock game, and seems to be related to the features added in 1.4.2 to support the new "missions".....

Would be nice to figure out how to fix it on the mod developer side though, or at least minimize it, until squad/take two issues a formal patch.

Share this post


Link to post
Share on other sites
  • 0

@Phil deCube I am afraid you are wrong. I just managed to get very simple "test at launch pad" contract and it definitely spams.

Share this post


Link to post
Share on other sites
  • 0
7 hours ago, radonek said:

@Phil deCube I am afraid you are wrong. I just managed to get very simple "test at launch pad" contract and it definitely spams.

Wrong? I thought I was wrong once, but it turned out I was mistaken. :)

That's a bummer. In that case I hope Squad is onto it and 1.4.3 comes out soon.

Share this post


Link to post
Share on other sites
  • 0

Hi, i have the same problem !!! ;-)

How to revert to 1.4.1 ?

Thanks

Edited by Bib60

Share this post


Link to post
Share on other sites
  • 0
12 hours ago, Bib60 said:

Hi, i have the same problem !!! ;-)

How to revert to 1.4.1 ?

Thanks

If you're on Steam, go to your game library, right click KSP, Properties -> Betas, opt in to "previous_1.4.1" from the dropdown.  

Share this post


Link to post
Share on other sites
  • 0

(WARNING: Technical information)

In the save files, every one of the mission parameters that is doing the spamming shows a value of:

disableOnStateChange = False

I've tried removing all of these but they get restored on load.

Share this post


Link to post
Share on other sites
  • 0
19 hours ago, grinnellian said:

If you're on Steam, go to your game library, right click KSP, Properties -> Betas, opt in to "previous_1.4.1" from the dropdown.  

Hi

Thanks but i can't do this, nothing in drop box and need beta code to acces private beta !!!

But even if i restore to 1.4.1, my saved game in 1.4.2 format won't work on 1.4.1 version

Share this post


Link to post
Share on other sites
  • 0

I am also getting notifications for every active contract, whether they apply to the current ship or not. They say the contract is complete, but not real. It is annoying to have to clear out a couple of hundred announcements each time. I think it has to do with the current release (1.4.2). Hopefully this will be addressed in 1.4.3! 

Share this post


Link to post
Share on other sites
  • 0

it is one of the things being fixed in the patch.  There is also a work around in the latest release of contract configurator that just automatically deletes the bugged messages.

Share this post


Link to post
Share on other sites
  • 0
On 4/5/2018 at 9:33 AM, Bib60 said:

Hi

Thanks but i can't do this, nothing in drop box and need beta code to acces private beta !!!

But even if i restore to 1.4.1, my saved game in 1.4.2 format won't work on 1.4.1 version

Sorry for the delay; I was travelling.  Yes, I see the new patch has the fix, but if you still want to revert now or in the future here's how:Open C:\Steam\steamapps\common\Kerbal Space Program\saves\<your campaign name>
Back up all your save files! e.g. copy "saves" and rename it "saves_1_4_2"
Open <yoursave>.sfs (from saves, not the backup) in Notepad, Notepad++, and IDE, whatever
Change version = <version> to 1.4.1, save the file and close the editor.

This worked for me because I did not use any 1.4.2 features, nor install the expansion. YMMV of course.
Bonus: reverting to 1.4.1 makes many more CKAN mods compatible while the creators work on updating the mods.
Good luck!

Share this post


Link to post
Share on other sites
  • 0

Wich patch are you talking about ? 

I still have this problem since the last release and it's nit not really cool !!!

Share this post


Link to post
Share on other sites
  • 0

the fix is in the patch that was is supposed to be out last this week.  In the meantime, as I said earlier, Contract Configurator has a work around.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.